# \Query\Drivers\FirebirdResult

Firebird result class to emulate PDOStatement Class - only implements data-fetching methods

## Summary

Methods
Properties
Constants
__construct()
bindColumn()
bindParam()
bindValue()
execute()
fetch()
fetchAll()
fetchColumn()
fetchObject()
rowCount()
errorCode()
errorInfo()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$statement
$row
$result
$db
N/A

File
  src/Query/Drivers/Firebird/Result.php
Package
  Query\Drivers
Class hierarchy
  \PDOStatement
  \Query\Drivers\Firebird\Result

## Tags

None found

## Properties

### $statement

    $statement : resource

Reference to fbird resource

#### Type

resource

#

## Tags

None found

### $row

    $row : integer

Current row in result array

#### Type

integer

#

## Tags

None found

### $result

    $result :

Data pulled from query

#### Type

#

## Tags

param |

### $db

    $db : \Query\Drivers\Firebird\Driver

Reference to the db drive to de-duplicate error functions

#### Type

\Query\Drivers\Firebird\Driver

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $link, \Query\Drivers\Firebird\Driver|null  $db = NULL)

Create the object by passing the resource for the query

#### Parameters

resource | $link |
\Query\Drivers\Firebird\Driver|null | $db |

#

## Tags

None found

### bindColumn()

    bindColumn(mixed  $column, mixed  $param, integer  $type = NULL, mixed  $maxlen = NULL, array  $driverdata = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $column |
mixed | $param |
integer | $type |
mixed | $maxlen |
array | $driverdata |

#### Returns

NULL

#

## Tags

None found

### bindParam()

    bindParam(mixed  $parameter, mixed  $variable, integer  $data_type = NULL, mixed  $maxlen = NULL, array  $driverdata = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $parameter |
mixed | $variable |
integer | $data_type |
mixed | $maxlen |
array | $driverdata |

#### Returns

NULL

#

## Tags

None found

### bindValue()

    bindValue(mixed  $parameter, mixed  $variable, integer  $data_type = NULL) : NULL

Invalidate method for data consistency

#### Parameters

mixed | $parameter |
mixed | $variable |
integer | $data_type |

#### Returns

NULL

#

## Tags

None found

### execute()

    execute(array  $args = NULL) : \Query\Drivers\Firebird\Result

Run a prepared statement query

#### Parameters

array | $args |

#### Returns

\Query\Drivers\Firebird\Result

#

## Tags

None found

### fetch()

    fetch(integer  $fetch_style = \PDO::FETCH_ASSOC, mixed  $cursor_orientation = \PDO::FETCH_ORI_NEXT, mixed  $cursor_offset = NULL) : mixed

Emulate PDO fetch public function

#### Parameters

integer | $fetch_style |
mixed | $cursor_orientation |
mixed | $cursor_offset |

#### Returns

mixed

#

## Tags

None found

### fetchAll()

    fetchAll(integer  $fetch_style = \PDO::FETCH_ASSOC, mixed  $statement = NULL, mixed  $ctor_args = NULL) : mixed

Emulate PDO fetchAll public function

#### Parameters

integer | $fetch_style |
mixed | $statement |
mixed | $ctor_args |

#### Returns

mixed

#

## Tags

None found

### fetchColumn()

    fetchColumn(integer  $column_num) : mixed

Emulate PDOStatement::fetchColumn

#### Parameters

integer | $column_num |

#### Returns

mixed

#

## Tags

None found

### fetchObject()

    fetchObject(string  $class_name = 'stdClass', array  $ctor_args = array()) : \Query\Drivers\Firebird\stdClass

Emulate PDOStatement::fetchObject, but only for the default use

#### Parameters

string | $class_name |
array | $ctor_args |

#### Returns

\Query\Drivers\Firebird\stdClass

#

## Tags

None found

### rowCount()

    rowCount() : integer

Return the number of rows affected by the previous query

#### Returns

integer

#

## Tags

None found

### errorCode()

    errorCode() : string

Method to emulate PDOStatement->errorCode

#### Returns

string

#

## Tags

None found

### errorInfo()

    errorInfo() : array

Method to emulate PDO->errorInfo / PDOStatement->errorInfo

#### Returns

array

#

## Tags

None found

### Result.php